## %global	__requires_exclude pear\\(PEAR/PackageFileManager.php\\)
%define upstream_name XML_FOAF
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.4.0
Release:     	%mkrel 7
Summary:    	Provides the ability to manipulate FOAF RDF/XML
License: 	BSD License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/XML_FOAF-%{version}.tgz
URL: 		http://pear.php.net/package/XML_FOAF
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear >= 1.0b1
Requires: 	php-pear-XML_Tree >= 1.1
Requires:	php-pear-XML_Beautifier >= 0.2.2
Requires:	php-pear >= 1.4.0b1
Requires:	php-pear-RDF >= 0.1.0alpha1
BuildArch: noarch

%description
XML_FOAF Allows advanced creation and simple parsing of FOAF RDF/XML files.
The FOAF Project can be found at http://www.foaf-project.org -

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/XML_FOAF.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/XML_FOAF.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/XML_FOAF
fi

%files
%doc docs/XML_FOAF/*
%{peardir}/*
%{xmldir}/XML_FOAF.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.4.0-7.mga8
+ Revision: 1499233
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.4.0-6.mga7
+ Revision: 1274154
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 0.4.0-5.mga6
+ Revision: 931980
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 749075
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-3.mga5
+ Revision: 687506
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 0.4.0-2.mga4
+ Revision: 528337
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 spuhler <spuhler> 0.4.0-1.mga4
+ Revision: 444221
- upgrade to version 0.4.0

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-3.mga3
+ Revision: 377391
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 14 2012 spuhler <spuhler> 0.3.1-2.mga2
+ Revision: 196078
- added _requires_exceptions pear(PEAR/PackageFileManager.php) for replaced package

* Fri Jan 13 2012 spuhler <spuhler> 0.3.1-1.mga2
+ Revision: 195543
- upgrade to 0.3.1
  pearized spec

* Sat Jan 29 2011 spuhler <spuhler> 0.3.0-4.mga1
+ Revision: 44425
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-XML_FOAF


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-4mdv2011.0
+ Revision: 613789
- the mass rebuild of 2010.1 packages

* Wed Nov 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.0-3mdv2010.1
+ Revision: 464951
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.3.0-2mdv2010.0
+ Revision: 441715
- rebuild

* Mon Apr 20 2009 Raphaël Gertz <rapsys@mandriva.org> 0.3.0-1mdv2009.1
+ Revision: 368294
- Update php pear XML_FOAF to 0.3.0 version

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2-9mdv2009.1
+ Revision: 322796
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2-8mdv2009.0
+ Revision: 237160
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-7mdv2007.0
+ Revision: 82848
- Import php-pear-XML_FOAF

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2-1mdk
- initial Mandriva package (PLD import)

